Subject: ? about over 21

From: [email-masked]
Date: Tue, 13 Sep 94 21:34:53 CDT

Dear every one:
 I have questions about an independent (over 21 years old) to apply for PR 
following Fb-2 (Family based-2). His( or her) parents are PR (CSPA).

  1. Does he have to keep unmarried until he get PR?
 or He does not need to keep unmarried, only he is single when he applies. 
  2. How long does it take for an indipendent to apply for PR following by
 Fb-2?
  3.Will it affact his changing visa for keeping legal law status in USA,
  after his applying, during the waiting period for PR approved?

Thank you so much for your response!!!
Appreciated in advanced!!!